Package org.apache.sysds.runtime.util

## Class LongLongDoubleHashMap

- java.lang.Object
- - org.apache.sysds.runtime.util.LongLongDoubleHashMap

-     public class LongLongDoubleHashMap
      extends Object

  This native long long - double hashmap is specifically designed for ctable operations which only require addvalue - extract semantics. In contrast to a default hashmap the native representation allows us to be more memory-efficient which is important for large maps in order to keep data in the caches and prevent high-latency random memory access.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LongLongDoubleHashMap.ADoubleEntry` |
    `static class` | `LongLongDoubleHashMap.EntryType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongLongDoubleHashMap()` |
    `LongLongDoubleHashMap​(LongLongDoubleHashMap.EntryType etype)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(long key1, long key2, double value)` |
    `Iterator<LongLongDoubleHashMap.ADoubleEntry>` | `getIterator()` |
    `int` | `getNonZeros()` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongLongDoubleHashMap

          public LongLongDoubleHashMap()

    - #### LongLongDoubleHashMap

          public LongLongDoubleHashMap​(LongLongDoubleHashMap.EntryType etype)

  - ### Method Detail

    - #### size

          public int size()

    - #### getNonZeros

          public int getNonZeros()

    - #### addValue

          public void addValue​(long key1,
                               long key2,
                               double value)

    - #### getIterator

          public Iterator<LongLongDoubleHashMap.ADoubleEntry> getIterator()